swagger-petstore-0.1.0.0: Auto-generated swagger-petstore API Client

Safe Haskell | None
Language | Haskell2010

SwaggerPetstore.API.AnotherFake

Contents

- Operations
  - AnotherFake
    - testSpecialTags

Description

Synopsis

- testSpecialTags :: (Consumes TestSpecialTags contentType, MimeRender contentType Client) => ContentType contentType -> Accept accept -> Client -> SwaggerPetstoreRequest TestSpecialTags contentType Client accept
- data TestSpecialTags

# Operations

## AnotherFake

### testSpecialTags

testSpecialTags Source #

Arguments

:: (Consumes TestSpecialTags contentType, MimeRender contentType Client) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Client | "body" - client model
-> SwaggerPetstoreRequest TestSpecialTags contentType Client accept |

    PATCH /another-fake/dummy

To test special tags

To test special tags

data TestSpecialTags Source #

Instances

Produces TestSpecialTags MimeJSON Source # |
    application/json
Consumes TestSpecialTags MimeJSON Source # |
    application/json
HasBodyParam TestSpecialTags Client Source # | Body Param "body" - client model
Methods setBodyParam :: (Consumes TestSpecialTags contentType, MimeRender contentType Client) => SwaggerPetstoreRequest TestSpecialTags contentType res accept -> Client -> SwaggerPetstoreRequest TestSpecialTags contentType res accept Source #